# commandDescription

This helps post code review comments from a JSON file to azure repo pull request.

# errorAuthFailed

Azure DevOps authentication failed

# errorPermissionIssue

Check access permission of the token for write access on PR comments

# authtokenDescription

Azure Devops personal access token used to authenicate to repo, ensure this token has write / post permission of repo

# reviewresultjsonfileDescription

Path to file where code review results are stored in JSON format

# dataDescription

JSON data formatted comments to be posted

# azurereponameDescription

Name of Azure Repo where the PR is being raised

# azureprojectnameDescription

Name of Azure Project where the repo resides

# azureorgnameDescription

Name of Azure Organization where the project resides

# azurepridDescription

Pull request id to post the comments to

# foldernamefordiffDescription

Name of the folder where diff files will be stored

# gitfoldernameDescription

Path to base project folder where git is initialized

# examples

sfdx azure:postcomments --authtoken asdasczxccxc --azureorgname 'organization-name' --azureprojectname 'ProjectName' --azurereponame 'RepoName' --foldernamefordiff '/path/to/diff/folder/' --gitfoldername '/path/to/git/folder' --reviewresultjsonfile '/path/to/code/review/comment/output/in/json/from/sfdx/scanner/staticCodeAnalyzerResults.json' --azureprid 1

sfdx azure:postcomments -t 'asdasczxccxc' -o 'organization-name' -p 'ProjectName' -r 'RepoName' -d '/path/to/diff/folder/' -g '/path/to/git/folder' -F '/path/to/code/review/comment/output/in/json/from/sfdx/scanner/staticCodeAnalyzerResults.json' -i 1
