# errorAuthFailed

Bitbucket authentication failed

# errorPermissionIssue

Check access permission of the token for write access on PR comments

# usernameDescription

Bitbucket username used to authenicate to repo

# authtokenDescription

Bitbucket personal access token used to authenicate to repo, ensure this token has write / post permission of repo

# reviewresultjsonfileDescription

Path to file where code review results are stored in JSON format

# bitbucketreposlugDescription

Name of Bitbucket repo slug where the PR is being raised

# bitbucketworkspaceDescription

Name of Bitbucket workspace where the repo resides

# bitbucketpridDescription

Pull request id to post the comments to

# foldernamefordiffDescription

Path of the folder where diff files will be stored

# gitfoldernameDescription

Path to base project folder where git is initialized

# CodeReviewInputError

Output of code review is invalid

# CodeReviewFileError

Code review output file cannot be found or read

# commandDescription

This helps post code review comments from a JSON file to bitbucket pull request.

# examples

sfdx bitbucket:postcomments --username 'ci_user' --authtoken 'mybitbucketpersonaltoken' --bitbucketworkspace 'slalom' --bitbucketreposlug 'sfdx_poc' --bitbucketprid 1 --foldernamefordiff './srcDiff' --reviewresultjsonfile './codereviewvoilations.json' --gitfoldername './'",

sfdx bitbucket:postcomments -N 'ci_user' -t 'mybitbucketpersonaltoken' -w 'slalom' -r 'sfdx_poc' -i 1 -d './srcDiff' -F './codereviewvoilations.json -g './'

<!-- # summary

Summary of a command.

# description

Description of a command.

# flags.name.summary

Description of a flag.

# examples

- <%= config.bin %> <%= command.id %>
 -->
