# errorAuthFailed

Github authentication failed

# errorPermissionIssue

Check access permission of the token for write access on PR comments

# usernameDescription

Github username used to authenicate to repo

# authtokenDescription

Github personal access token used to authenicate to repo, ensure this token has write / post permission of repo

# reviewresultjsonfileDescription

Path to file where code review results are stored in JSON format

# githubreposlugDescription

Name of Github repo slug where the PR is being raised

# githubRepositoryOwner

Name of account owner of the Github repository. (The name is not case sensitive).

# githubpridDescription

Pull request id to post the comments to

# foldernamefordiffDescription

Name of the folder where diff files will be stored

# gitfoldernameDescription

Path to base project folder where git is initialized

# CodeReviewInputError

Output of code review is invalid

# CodeReviewFileError

Code review output file cannot be found or read

# commandDescription

This helps post code review comments from a JSON file to Github pull request.

# examples

sfdx github:postcomments --username 'ci_user' --authtoken 'mygithubpersonaltoken' --githubworkspace 'slalom' --githubreposlug 'sfdx_poc' --githubprid 1 --foldernamefordiff './srcDiff' --reviewresultjsonfile './codereviewvoilations.json'",

sfdx github:postcomments -N 'ci_user' -t 'mygithubpersonaltoken' -w 'slalom' -r 'sfdx_poc' -i 1 -d './srcDiff' -F './codereviewvoilations.json'
